%define upstream_name    Catalyst-Plugin-Session-State-Cookie
%define abbrev_name      Catalyst-P-S-State-Cookie
%define upstream_version 0.17

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    Artistic/GPL
Summary:    Cookie-based session plugin for Catalyst
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst::Plugin::Session) >= 0.06
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::MockObject) >= 1.01
Provides:	perl-%{upstream_name}
Obsoletes:	perl-%{upstream_name}
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
In order for Catalyst::Plugin::Session to work the session ID needs to be
stored on the client, and the session data needs to be stored on the server.
This plugin stores the session ID on the client using the cookie mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%clean
rm -rf %{buildroot}



%changelog
* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 461721
- update to 0.17

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 432800
- update to 0.14
- update to 0.14

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 399309
- update to 0.12

* Fri Jun 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 385444
- update to 0.11
- using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2009.0
+ Revision: 241163
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2008.0
+ Revision: 85937
- rebuild


* Mon Aug 07 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-07 23:54:51 (54252)
- Version 0.05

* Sat Aug 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 23:50:23 (53375)
- import perl-Catalyst-P-S-State-Cookie-0.04-1mdv2007.0

* Wed Aug 02 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
- First packaging after abbreviating perl-Catalyst-Session-State-Cookie
  (derived from perl-Catalyst-Session-State-Cookie-0.02-2mdk)

